public class OddEven {
    private int odds;
    private int evens;

    public OddEven(int odds, int evens) {
        this.odds = odds;
        this.evens = evens;
    }

    public OddEven() {
        this.odds = 0;
        this.evens = 0;
    }

    public void increaseOdds(){
        this.odds ++;
    }

    public void increaseEvens(){
        this.evens ++;
    }

    public int getOdds() {
        return odds;
    }

    public void setOdds(int odds) {
        this.odds = odds;
    }

    public int getEvens() {
        return evens;
    }

    public void setEvens(int evens) {
        this.evens = evens;
    }

    @Override
    public boolean equals(Object obj) {
        if(obj instanceof OddEven){
            return ((OddEven) obj).getEvens() == this.getEvens() && ((OddEven) obj).getOdds() == this.getOdds();
        }
        return false;
    }

    @Override
    public String toString() {
        return "OddEven{" +
                "odds=" + odds +
                ", evens=" + evens +
                '}';
    }
}
